///
/// \file Inclusions.cpp
/// Stockage d'un ensemble d'inclusions de chargement pour un fichier xml.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <math.h>

#include "Inclusions.h"
#include "Vector.h"


///
/// Constructeur sans parametre.
///
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
Inclusions::Inclusions(void):Vector() {
}

///
/// Destructeur.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
Inclusions::~Inclusions(void) {
}

///
/// Test de la presence d'une chaine de caracteres dans this.
///
/// @param s La chaine a rechercher.
/// @return L'entier booleen indiquant si la chaine a ete trouvee ou non.
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
int Inclusions::estPresent(char *s) {
  struct liste *l = racine;
  while ( ( l != NULL ) && ( strcmp((char *) l->p,s) ) ) {
    l = l->suiv; }
  if ( l == NULL )
    return(0);
  return(1);
}
